Bug 78091 - [EFL][DRT] Implement zoomPage{In,Out} and textZoom{In,Out} events.
Summary: [EFL][DRT] Implement zoomPage{In,Out} and textZoom{In,Out} events.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 78188
  Show dependency treegraph
 
Reported: 2012-02-08 02:05 PST by Kangil Han
Modified: 2012-02-12 21:27 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.01 MB, patch)
2012-02-08 17:40 PST, Kangil Han
no flags Details | Formatted Diff | Diff
Patch (1.01 MB, patch)
2012-02-09 00:05 PST, Kangil Han
no flags Details | Formatted Diff | Diff
Patch (1.01 MB, patch)
2012-02-12 18:07 PST, Kangil Han
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kangil Han 2012-02-08 02:05:29 PST
Implement zoomPage{In,Out} and textZoom{In,Out} events on EFL DRT.
As a result, around 300 new expected results will be added in efl port.
Comment 1 Kangil Han 2012-02-08 17:40:16 PST
Created attachment 126204 [details]
Patch
Comment 2 Gyuyoung Kim 2012-02-08 19:46:12 PST
Though patch is too huge, I think EFL DRT needs this patch. LGTM.
Comment 3 Kangil Han 2012-02-09 00:05:39 PST
Created attachment 126248 [details]
Patch
Comment 4 Hajime Morrita 2012-02-12 17:04:13 PST
Comment on attachment 126248 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=126248&action=review

I recommend to split the patch into code-only part and rebaselining until efl DRT is available on the bot.
Rebaselining is kinda semi automatic stuff but the code change is not.

> Tools/DumpRenderTree/efl/EventSender.cpp:454
> +static void textZoom(bool zoomIn)

Enum would be better in these case.

> Tools/DumpRenderTree/efl/EventSender.cpp:469
> +static void pageZoom(bool zoomIn)

Enum would be better in these case.
Comment 5 Gyuyoung Kim 2012-02-12 17:37:34 PST
(In reply to comment #4)
> (From update of attachment 126248 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=126248&action=review
> 
> I recommend to split the patch into code-only part and rebaselining until efl DRT is available on the bot.
> Rebaselining is kinda semi automatic stuff but the code change is not.

I will guide to split between code-only part and test codes.

> > Tools/DumpRenderTree/efl/EventSender.cpp:454
> > +static void textZoom(bool zoomIn)
> 
> Enum would be better in these case.
> 
> > Tools/DumpRenderTree/efl/EventSender.cpp:469
> > +static void pageZoom(bool zoomIn)
> 
> Enum would be better in these case.

Kangil, could you change zoomIn parameter with enum type?

Moritta,

I'm build efl test bot on Bug 77518 and Bug78348. I think you're able to enough to review Bug 78348. Could you do that ?
Comment 6 Kangil Han 2012-02-12 18:07:20 PST
Created attachment 126696 [details]
Patch
Comment 7 WebKit Review Bot 2012-02-12 21:27:08 PST
Comment on attachment 126696 [details]
Patch

Clearing flags on attachment: 126696

Committed r107529: <http://trac.webkit.org/changeset/107529>
Comment 8 WebKit Review Bot 2012-02-12 21:27:15 PST
All reviewed patches have been landed.  Closing bug.